using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DiplomovaPrace.Contracts.Security.InputModels
{
	[DataContract]
	public class PasswordChangeIM
	{
		[DataMember(Order = 1)]
		[Required(ErrorMessage = "Heslo je vyžadováno!")]
		[DataType(DataType.Password)]
		public string OldPassword { get; set; }

		[DataMember(Order = 2)]
		[Required(ErrorMessage = "Heslo je vyžadováno!")]
		[StringLength(255, ErrorMessage = "Heslo musí obsahovat minimálně 8 znaků!", MinimumLength = 8)]
		[DataType(DataType.Password)]
		public string NewPassword { get; set; }

		[DataMember(Order = 3)]
		[Required(ErrorMessage = "Potvrzení hesla je vyžadováno!")]
		[Compare(nameof(NewPassword), ErrorMessage = "Hesla se musí shodovat!")]
		[DataType(DataType.Password)]
		public string ConfirmNewPassword { get; set; }
	}
}
